Class | RSS::Maker::RSS10::Image
In: | rss/maker/dublincore.rb rss/maker/1.0.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/1.0.rb, line 121
            def have_required_values?
              @url and @title and link and @maker.channel.have_required_values?
            end

to_rss(rss)

[Source]

    # File rss/maker/1.0.rb, line 110
            def to_rss(rss)
              if @url
                image = RDF::Image.new(@url)
                set = setup_values(image)
                if set
                  rss.image = image
                  setup_other_elements(rss)
                end
              end
            end

[Validate]